Skip to main content

Customer Migrations Guide: Post Account Import

After an account has successfully been created you might need to import additional data. In this section we’ll walk you through the various endpoints you can use to add information to an imported account in Kraken.

Importing delivery note

Overview

Use this endpoint to migrate delivery note.

Schema

Loading...
POST https://api.ewi-kraken.systems/v1/data-import/delivery-note/create/

Responses

The following responses may be returned from the API.

Status codeDescription
201 - Created

If the payload is valid, a 201 Created response will be returned with the validated data as its body.

400 - Bad Request

If there are validation errors, a 400 Bad Request response will be returned, detailing the errors. To resolve the error, refer to the field definitions and validation rules.

500 - Internal Server Error

If an unexpected error occurs, a 500 Internal Server Error response will be returned with the error reason.

Payloads

Example payload
{ "import_supplier": "TENTACLE_ENERGY", "external_account_number": "EXTERNAL-1234", "delivery_note": { "malo_number": "12345678901", "amounts": [ { "period_start_at": "2023-01-01T00:00:00+01:00", "period_end_at": "2023-01-31T23:59:59+01:00", "product_identifier": "1-1:1.9.0", "product_identifier_type": "SRW", "quantity": "123.456789000", "quantity_unit": "KWH", "line_item_identifier": "A123" } ], "preceding_reference": "REF-001", "cancelled": false, "validation_status": true, "last_validation_at": "2023-02-01T12:00:00+01:00", "edifact_reference_number": "DOC-DN-123456789" } }

Importing energy amount

Overview

Use this endpoint to migrate energy amount data.

Schema

Loading...
POST https://api.ewi-kraken.systems/v1/data-import/energy-amount/create/

Responses

The following responses may be returned from the API.

Status codeDescription
201 - Created

If the payload is valid, a 201 Created response will be returned with the validated data as its body.

400 - Bad Request

If there are validation errors, a 400 Bad Request response will be returned, detailing the errors. To resolve the error, refer to the field definitions and validation rules.

500 - Internal Server Error

If an unexpected error occurs, a 500 Internal Server Error response will be returned with the error reason.

Payloads

Example payload
{ "import_supplier": "TENTACLE_ENERGY", "external_account_number": "EXTERNAL-1234", "energy_amount": { "malo_number": "12345678901", "period_start_at": "2023-01-01T00:00:00+01:00", "period_end_at": "2023-01-31T23:59:59+01:00", "product_identifier": "1-1:1.9.0", "product_identifier_type": "SRW", "quantity": "123.456789000", "quantity_unit": "KWH", "line_item_identifier": "A123", "preceding_reference": "REF-001", "cancelled": false, "cancelled_at": null, "cancelled_reference": null, "qualifier": "Z18", "estimate_method": "Z88", "estimate_reason": "ZR2", "correction_reason": "Z75", "plausibility_indications": [ "Z83", "ZS2" ], "measurement_classifications": [ "Z36", "Z37" ], "edifact_reference_number": "DOC-EA-123456789" } }

Importing market participant invoice

Overview

Use this endpoint to migrate historical market participant invoice.

Schema

Loading...
POST https://api.ewi-kraken.systems/v1/data-import/market-participant-invoice/create/

Responses

The following responses may be returned from the API.

Status codeDescription
201 - Created

If the payload is valid, a 201 Created response will be returned with the validated data as its body.

400 - Bad Request

If there are validation errors, a 400 Bad Request response will be returned, detailing the errors. To resolve the error, refer to the field definitions and validation rules.

500 - Internal Server Error

If an unexpected error occurs, a 500 Internal Server Error response will be returned with the error reason.

Payloads

Example payload
{ "import_supplier": "TENTACLE_ENERGY", "external_account_number": "EXTERNAL-1234", "market_participant_invoice": { "invoice_type": "31001", "invoice_sub_type": "ABS", "invoice_document_type": "380", "invoice_number": "0001-ABR-2023-115120", "status": "CLOSED", "issued_at": "2023-10-16T00:00:00+02:00", "due_at": "2023-11-06T00:00:00+01:00", "malo_number": "12345678901", "melo_number": null, "period_start_at": "2023-10-02T00:00:00+02:00", "period_end_at": "2023-11-02T00:00:00+01:00", "balancing_period_start_at": null, "supply_period_end_at": null, "service_conducted_at": null, "amount_total": 1900, "amount_discount": null, "amount_due": 1900, "is_reverse_charge": false, "is_duplicate": false, "was_prepaid": false, "reference_invoice_number": null, "reference_invoice_issued_at": null, "reference_document": null, "interchange_reference": "C3AAAAAAAEEDBA", "external_id": "3153358", "sender_id": 9901000000002, "sender_address": { "name": "Musternetze GmbH", "street": "Musterstr. 99", "city": "Musterstadt", "postcode": "54321", "tax_number": "DE987654321", "tax_number_type": "VA", "country_code": "DE" }, "recipient_id": 9978411000003, "recipient_address": { "name": "Kraken Labs", "street": "Musterstr. 101", "city": "Berlin", "postcode": "12345", "tax_number": "DE123456789", "tax_number_type": "FC", "country_code": "DE" }, "line_items": [ { "position": 1, "article": "9990001000376", "article_type": "Z01", "quantity": "1.000", "quantity_unit": "H87", "quantity_interval": null, "quantity_interval_type": null, "quantity_correction_factor": null, "period_start_at": "2023-10-02T00:00:00+02:00", "period_end_at": "2023-11-02T00:00:00+01:00", "service_conducted_at": null, "amount_net": 1597, "amount_adjustment": null, "price": "15.97000000000", "price_interval": null, "tax_rate": "19.00", "tax_rate_type": "S", "external_id": "6308816" } ], "tax_amounts": [ { "tax_rate": "19.00", "tax_rate_type": "S", "amount_paid_in_advance": null, "tax_amount_paid_in_advance": null, "tax_amount_assessment_basis": 1900, "tax_amount": 303 } ], "paid_in_advance_amounts": [] } }